package org.bench4q.share.models.master;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * When administrator add or delete a port in the pool, this will be response
 * 
 * @author coderfengyun
 * 
 */
@XmlRootElement(name = "OperateScriptServerResponse")
public class OrganizeRecordPortResponseModel {
	private boolean success;
	private String failCauseString;
	private List<PortModel> portModels;

	@XmlElement
	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	@XmlElement
	public String getFailCauseString() {
		return failCauseString;
	}

	public void setFailCauseString(String failCauseString) {
		this.failCauseString = failCauseString;
	}

	@XmlElementWrapper(name = "portList")
	@XmlElement(name = "port")
	public List<PortModel> getPortModels() {
		return portModels;
	}

	public void setPortModels(List<PortModel> portModels) {
		this.portModels = portModels;
	}
}
